Get specific cart - Fabric

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Get specific cart

cURL

curl --request GET \
  --url https://prod.cart.fabric.inc/v2/carts/{cartId} \
  --header 'Authorization: <authorization>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod.cart.fabric.inc/v2/carts/{cartId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "<authorization>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: '<authorization>'}
};

fetch('https://prod.cart.fabric.inc/v2/carts/{cartId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

{
  "items": [
    {
      "sku": "16B2GS8LD5FDS",
      "items": [
        {
          "sku": "13B9CL6WT2SLW",
          "quantity": 15,
          "items": [
            "<unknown>"
          ],
          "cartItemId": "12gved0f-7645-40cb-y7b0-167f8bggdb3z",
          "itemId": "1730902008",
          "title": "Light Cover",
          "attributes": [
            {
              "attributeId": "60c2a358eb2ec30008ae70a1",
              "name": "gift wrapping (small)",
              "type": "GIFT",
              "price": 10,
              "description": "Gift wrapping for a small package",
              "mapping": "ITEM",
              "value": "true",
              "level": "order",
              "items": [
                "1000000001"
              ]
            }
          ],
          "createdAt": "2022-02-18T15:12:40.974580",
          "updatedAt": "2022-02-18T15:12:40.974580",
          "type": "WEB_SHIP",
          "subType": "Border-free",
          "priceListId": "108674",
          "lineItemId": 1,
          "isActive": true,
          "unitPrice": {
            "currency": "USD",
            "amount": 100,
            "discount": {
              "price": 80,
              "promosApplied": [
                {
                  "promoId": "fza065tdr787",
                  "promoCode": "coupon123",
                  "value": "20",
                  "unit": "%OFF"
                }
              ],
              "discounts": [
                {
                  "promoId": "fza065tdr787",
                  "promoCode": "coupon123",
                  "promoTitle": "New Year discount",
                  "quantity": 1,
                  "amount": 20,
                  "value": 20,
                  "groupId": "new-items",
                  "promotionType": "PROMOTION",
                  "priority": 1,
                  "stackable": false,
                  "sku": "16B2GS8LD5FDS",
                  "itemId": "1000000001",
                  "itemKey": "Key1234",
                  "message": "New Year Promotion",
                  "unit": "%OFF",
                  "proratedQuantity": 1,
                  "proratedAmount": 3.33
                }
              ],
              "discountAmount": 20
            },
            "sale": 80
          },
          "totalPrice": {
            "currency": "USD",
            "amount": 100,
            "discount": {
              "price": 80,
              "promosApplied": [
                {
                  "promoId": "fza065tdr787",
                  "promoCode": "coupon123",
                  "value": "20",
                  "unit": "%OFF"
                }
              ],
              "discounts": [
                {
                  "promoId": "fza065tdr787",
                  "promoCode": "coupon123",
                  "promoTitle": "New Year discount",
                  "quantity": 1,
                  "amount": 20,
                  "value": 20,
                  "groupId": "new-items",
                  "promotionType": "PROMOTION",
                  "priority": 1,
                  "stackable": false,
                  "sku": "16B2GS8LD5FDS",
                  "itemId": "1000000001",
                  "itemKey": "Key1234",
                  "message": "New Year Promotion",
                  "unit": "%OFF",
                  "proratedQuantity": 1,
                  "proratedAmount": 3.33
                }
              ],
              "discountAmount": 20
            },
            "sale": 80
          },
          "attributeTotalPrice": 10,
          "group": [
            "61d38e117162b7dba69c3d6d"
          ],
          "extra": {
            "productFamily": "Laptop computers"
          },
          "channel": 12,
          "isPickup": true,
          "warehouseId": "XYZ-1234",
          "shipToId": "fef78121-bee3-4448-bf1c-d5b5461dbda2",
          "shipTo": {
            "shipToId": "fef78121-bee3-4448-bf1c-d5b5461dbda2",
            "cartId": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
            "createdAt": "2022-02-18T15:12:40.974580",
            "updatedAt": "2022-02-18T15:12:40.974580",
            "shipMethod": {
              "cost": {
                "amount": 10,
                "currency": "USD",
                "discount": 5
              },
              "shipMethodId": "1234",
              "shipmentCarrier": "FedEx",
              "shipmentMethod": "Next Day"
            },
            "address": {
              "attention": "Billing manager",
              "street1": "100 NE 100th St.",
              "street2": "Suite 710",
              "street3": "Seventh floor",
              "street4": "Attention: Pat E. Kake",
              "city": "Seattle",
              "state": "Washington",
              "country": "USA",
              "zipCode": "98125",
              "email": "test@mail.com",
              "kind": "shipping",
              "name": {
                "first": "Pat",
                "middle": "E",
                "last": "Kake"
              },
              "phone": {
                "number": "123-456-7899",
                "kind": "MOBILE"
              }
            },
            "shipToType": "SHIP_TO_ADDRESS",
            "taxCode": "FR1000",
            "isPickup": true,
            "altPickupPerson": {
              "name": {
                "first": "Pat",
                "middle": "E",
                "last": "Kake"
              },
              "phone": {
                "number": "123-456-7899",
                "kind": "MOBILE"
              },
              "email": "test@mail.com"
            },
            "pickupPerson": {
              "name": {
                "first": "Pat",
                "middle": "E",
                "last": "Kake"
              },
              "phone": {
                "number": "123-456-7899",
                "kind": "MOBILE"
              },
              "email": "test@mail.com"
            },
            "warehouseId": "XYZ-1234",
            "storeId": "ABC-123"
          },
          "fulfillment": {
            "type": "WEB_SHIP",
            "networkCode": "ShipToCNC",
            "channelId": "12",
            "inventoryType": "availablePreorder",
            "inventory": {
              "virtualCounters": {
                "availableToPurchase": 10
              },
              "id": "62272e917b12209e68751d94",
              "sku": "SKU00025",
              "itemId": 4225678911,
              "locationNum": 473746,
              "channelId": 12,
              "vendorId": "vendor123",
              "leadTime": 1234,
              "inventoryType": "Safety stock",
              "infiniteInventory": true,
              "counters": {
                "on-hand": 10
              },
              "attributes": {
                "buy online, pick up in-store (bopis)": true
              },
              "backOrderDate": "2022-08-08T00:00:00.000Z",
              "preOrderDate": "2022-08-08T00:00:00.000Z",
              "backOrderLimit": 100,
              "preOrderLimit": 100,
              "safetyStock": 10,
              "lowStock": 10,
              "segment": "Clothing",
              "region": "US"
            }
          }
        }
      ],
      "quantity": 1,
      "isPickup": true,
      "cartItemId": "88cded0f-1439-40eb-a7a0-167e8bffdb3b",
      "itemId": "1000000001",
      "title": "Varnet Garden Light Kit",
      "attributeTotalPrice": 10,
      "createdAt": "2022-02-18T15:12:40.974580",
      "updatedAt": "2022-02-18T15:12:40.974580",
      "priceListId": "100000",
      "lineItemId": 1,
      "isActive": true,
      "unitPrice": {
        "currency": "USD",
        "amount": 100,
        "discount": {
          "price": 80,
          "promosApplied": [
            {
              "promoId": "fza065tdr787",
              "promoCode": "coupon123",
              "value": "20",
              "unit": "%OFF"
            }
          ],
          "discounts": [
            {
              "promoId": "fza065tdr787",
              "promoCode": "coupon123",
              "promoTitle": "New Year discount",
              "quantity": 1,
              "amount": 20,
              "value": 20,
              "groupId": "new-items",
              "promotionType": "PROMOTION",
              "priority": 1,
              "stackable": false,
              "sku": "16B2GS8LD5FDS",
              "itemId": "1000000001",
              "itemKey": "Key1234",
              "message": "New Year Promotion",
              "unit": "%OFF",
              "proratedQuantity": 1,
              "proratedAmount": 3.33
            }
          ],
          "discountAmount": 20
        },
        "sale": 80
      },
      "totalPrice": {
        "currency": "USD",
        "amount": 100,
        "discount": {
          "price": 80,
          "promosApplied": [
            {
              "promoId": "fza065tdr787",
              "promoCode": "coupon123",
              "value": "20",
              "unit": "%OFF"
            }
          ],
          "discounts": [
            {
              "promoId": "fza065tdr787",
              "promoCode": "coupon123",
              "promoTitle": "New Year discount",
              "quantity": 1,
              "amount": 20,
              "value": 20,
              "groupId": "new-items",
              "promotionType": "PROMOTION",
              "priority": 1,
              "stackable": false,
              "sku": "16B2GS8LD5FDS",
              "itemId": "1000000001",
              "itemKey": "Key1234",
              "message": "New Year Promotion",
              "unit": "%OFF",
              "proratedQuantity": 1,
              "proratedAmount": 3.33
            }
          ],
          "discountAmount": 20
        },
        "sale": 80
      },
      "attributes": [
        {
          "attributeId": "60c2a358eb2ec30008ae70a1",
          "name": "gift wrapping (small)",
          "type": "GIFT",
          "price": 10,
          "description": "Gift wrapping for a small package",
          "mapping": "ITEM",
          "value": "true",
          "level": "order",
          "items": [
            "1000000001"
          ]
        }
      ],
      "priceAdjustments": [
        {
          "id": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
          "reason": "compensation for delay",
          "amount": 20,
          "attributes": {
            "goldMember": [
              false
            ]
          }
        }
      ],
      "warehouseId": "XYZ-1234",
      "shipTo": {
        "shipToId": "fef78121-bee3-4448-bf1c-d5b5461dbda2",
        "cartId": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
        "createdAt": "2022-02-18T15:12:40.974580",
        "updatedAt": "2022-02-18T15:12:40.974580",
        "shipMethod": {
          "cost": {
            "amount": 10,
            "currency": "USD",
            "discount": 5
          },
          "shipMethodId": "1234",
          "shipmentCarrier": "FedEx",
          "shipmentMethod": "Next Day"
        },
        "address": {
          "attention": "Billing manager",
          "street1": "100 NE 100th St.",
          "street2": "Suite 710",
          "street3": "Seventh floor",
          "street4": "Attention: Pat E. Kake",
          "city": "Seattle",
          "state": "Washington",
          "country": "USA",
          "zipCode": "98125",
          "email": "test@mail.com",
          "kind": "shipping",
          "name": {
            "first": "Pat",
            "middle": "E",
            "last": "Kake"
          },
          "phone": {
            "number": "123-456-7899",
            "kind": "MOBILE"
          }
        },
        "shipToType": "SHIP_TO_ADDRESS",
        "taxCode": "FR1000",
        "isPickup": true,
        "altPickupPerson": {
          "name": {
            "first": "Pat",
            "middle": "E",
            "last": "Kake"
          },
          "phone": {
            "number": "123-456-7899",
            "kind": "MOBILE"
          },
          "email": "test@mail.com"
        },
        "pickupPerson": {
          "name": {
            "first": "Pat",
            "middle": "E",
            "last": "Kake"
          },
          "phone": {
            "number": "123-456-7899",
            "kind": "MOBILE"
          },
          "email": "test@mail.com"
        },
        "warehouseId": "XYZ-1234",
        "storeId": "ABC-123"
      },
      "channel": 12,
      "group": [
        "61d38e117162b7dba69c3d6d"
      ],
      "fees": [
        {
          "feeId": "73bc09d0-874a-4c3d-84d0-df1670d03578",
          "name": "gift",
          "type": "gift_wrap",
          "amount": 10.5,
          "attributes": "{'from': 'sam', 'to': 'david' }"
        }
      ]
    }
  ],
  "currency": "USD",
  "metadata": {
    "approver": "620d8896058edb0009385311"
  },
  "allPromosApplied": [
    {
      "promoId": "fza065tdr787",
      "promoCode": "coupon123",
      "value": "20",
      "unit": "%OFF"
    }
  ],
  "sharedUserIds": [
    "[\"*\"] or [userId1,userId2]"
  ],
  "error": {
    "price": [
      {
        "price": {
          "base": 20,
          "sale": 10,
          "cost": 20,
          "currency": "USD",
          "finalPrice": 10,
          "totalPrice": 20,
          "kind": "Promotion",
          "discount": 5.5
        },
        "channel": 12,
        "kind": "PROMOTION",
        "lineItemId": 1,
        "discounts": [
          {
            "promoId": "fza065tdr787",
            "promoCode": "coupon123",
            "promoTitle": "New Year discount",
            "quantity": 1,
            "amount": 20,
            "value": 20,
            "groupId": "new-items",
            "promotionType": "PROMOTION",
            "priority": 1,
            "stackable": false,
            "sku": "16B2GS8LD5FDS",
            "itemId": "1000000001",
            "itemKey": "Key1234",
            "message": "New Year Promotion",
            "unit": "%OFF",
            "proratedQuantity": 1,
            "proratedAmount": 3.33
          }
        ]
      }
    ],
    "promo": [
      {
        "detail": "Item is out of stock",
        "itemId": "1000000001",
        "sku": "16B2GS8LD5FDS",
        "lineItemId": 1
      }
    ],
    "inventory": [
      {
        "detail": "Item is out of stock",
        "itemId": "1000000001",
        "sku": "16B2GS8LD5FDS",
        "lineItemId": 1
      }
    ]
  },
  "cartId": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
  "createdAt": "2022-02-11T14:09:40.836703",
  "updatedAt": "2022-02-22T22:36:40.194293",
  "totalItems": 3,
  "totalUniqueItems": 2,
  "cartState": "PENDING",
  "tenantId": "5f689caa4216e7000750d1ef",
  "accountId": "5f689caa4216e7000750d1ef",
  "userId": "61b8e921d0cf2e000882b09f",
  "configuration": {
    "allowAnonymousUser": true,
    "orderNumberSource": "CART_ID",
    "softReserve": true,
    "addItemBySkuEnabled": true
  },
  "customer": {
    "id": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
    "type": "EMPLOYEE",
    "attributes": {
      "goldMember": [
        false
      ]
    },
    "segments": {
      "age": 23,
      "gender": "female"
    }
  },
  "totalAmount": 95,
  "subTotal": 120,
  "totalDiscount": 25,
  "totalFees": 25,
  "attributes": [
    {
      "attributeId": "60c2a358eb2ec30008ae70a1",
      "name": "gift wrapping (small)",
      "type": "GIFT",
      "price": 10,
      "description": "Gift wrapping for a small package",
      "mapping": "ITEM",
      "value": "true",
      "level": "order",
      "items": [
        "1000000001"
      ]
    }
  ],
  "fees": [
    {
      "feeId": "73bc09d0-874a-4c3d-84d0-df1670d03578",
      "name": "gift",
      "type": "gift_wrap",
      "amount": 10.5,
      "attributes": "{'from': 'sam', 'to': 'david' }"
    }
  ],
  "suggestedProducts": [
    {
      "promotionId": "fef78121-bee3-4448-bf1c-d5b5461dbda2",
      "promotionTitle": "Buy one get one free",
      "itemId": 19,
      "itemIds": [
        19
      ],
      "eligiblePriceLists": [
        1000000001
      ],
      "quantity": 1,
      "promotionQuantity": 1,
      "free": true,
      "discountType": "AMOUNT_OFF",
      "amount": 10
    }
  ]
}

Error Responses

{
  "code": "Bad Request",
  "message": "User ID or Cart ID does not exist"
}
{
  "code": "Cart or item not found",
  "message": "If the issue persists please contact support@fabric.inc."
}
{
  "code": "Internal Server Error",
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}

Headers

x-site-context

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

x-api-key

Example:

"zaCELgL.0imfnc8mVLWwsAawjYr4Rx-Af50DDqtlx"

Authorization

Example:

"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."

Path Parameters

Example:

"d7e78a21-bee3-4448-bf1c-d5b5461dbda2"

Response

200: Application/json